View Issue Details

IDProjectCategoryView StatusLast Update
0000461OpenFOAM[All Projects] Bugpublic2012-03-27 11:20
Reporteruser100Assigned Touser2 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSLinux UbuntuOS Version10.10
Product Version 
Fixed in Version 
Summary0000461: fluent3DMeshToFoam unable to handle Ansys 14 generated meshes due to different header
DescriptionYou will get an error when you apply fluent3DMeshToFoam to a Ansys 14 TGrid generated mesh (see included logfile). This does not happen for a mesh generated by an older TGrid version (tested TGrid 5.0.6 and 4.0.16).

The file structures are all the same, but the first line of the Ansys 14 header contains some extra brackets. If you change the first line of the header in the Ansys 14 mesh from:

(1 "ANSYS(R) TGrid(TM) 3D 14.0.0")

to

(1 "TGrid 3D 5.0.6")

The conversion works perfectly.
TagsNo tags attached.

Activities

user100

2012-03-15 07:28

 

fluent3DMeshToFoam.log (1,276 bytes)

user2

2012-03-22 14:54

  ~0001163

Thanks for the report - I've pushed a fix into the 2.1.x repository under commit 04fa6d6

Issue History

Date Modified Username Field Change
2012-03-15 07:28 user100 New Issue
2012-03-15 07:28 user100 File Added: fluent3DMeshToFoam.log
2012-03-22 14:54 user2 Note Added: 0001163
2012-03-27 11:20 user2 Status new => resolved
2012-03-27 11:20 user2 Fixed in Version => 2.1.x
2012-03-27 11:20 user2 Resolution open => fixed
2012-03-27 11:20 user2 Assigned To => user2